Preview rename
Preview which resources would be affected by a bulk rename
Authentication: personal access token. The spec defines an api_key security
scheme — send an Authorization: ApiKey <your-personal-access-token> header
(value format: ApiKey <your key>). A session_cookie scheme (connect.sid)
exists for browser sessions. Operations in this spec declare security: [], an
artifact of the upstream spec generator — authentication is still enforced by the
server.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
projectUuid | string | Yes |
Request body
{
"model": "string",
"dryRun": true,
"type": "model",
"from": "string",
"to": "string"
}Responses
200 — Success
{
"results": {
"dashboardSchedulers": [
{
"name": "string",
"uuid": "string"
}
],
"alerts": [
{
"name": "string",
"uuid": "string"
}
],
"dashboards": [
{
"name": "string",
"uuid": "string"
}
],
"charts": [
{
"name": "string",
"uuid": "string"
}
]
},
"status": "ok"
}default — Error
{
"error": {
"data": "string",
"message": "string",
"name": "string",
"statusCode": 0
},
"status": "error"
}